{% block content %}
    <div class="col-4" style="padding-top:10px;">
        <div class="card" style="width: 18rem;">
            <img src={{ plant['image']}}
                 class="card-img-top" alt="..." width="286" height="286" style="border-bottom:1px solid #dfdfdf">
            <div class="card-body">
                <h5 class="card-title">
                    <div class="form-group">
                        <label for="plant-{{ plant['plant_id'] }}-human-name">Human Name</label>
                        <input type="text" class="form-control" id="plant-{{ plant['plant_id'] }}-human-name" aria-describedby="emailHelp"
                           placeholder="Plant Name, E.g. Dave" value="{{ plant['human_name'] }} "required>
                    </div>
                </h5>
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        <div class="plant-{{ plant['plant_id'] }}-location">Plant Location</label>
                            <input type="text" class="form-control" id="plant-{{ plant['plant_id'] }}-location" value ="{{ plant['location'] }}" placeholder="Location E.g. Kitchen">
                        </div>
                    </li>
                    <li class="list-group-item">
                                <div class="form-group">
                                    <label class="plant-{{ plant['plant_id'] }}-type">Plant Type</label>
                                    <input type="text" class="form-control" id="plant-{{ plant['plant_id'] }}-type" value = "{{ plant['species'] }}"
                                           placeholder="Plant Type/Species">
                                </div>
                    </li>
                    <li class="list-group-item">
                            <div class="form-group">
                                <label class="plant-{{ plant['plant_id'] }}-water-freq">Water Freq (days)</label>
                                <input type="number" class="form-control" value="{{ plant['days_between_watering'] }}" id="plant-{{ plant['plant_id'] }}-water-freq" placeholder="Watering Frequency"
                                required>
                            </div>
                    </li>
                    <li class="list-group-item">
                            <div class="form-group">
                                <label class="plant-{{ plant['plant_id'] }}-last-watered">Last Watered</label>
                                <input type="date" class="form-control" value="{{ plant['last_watered'] }}" id="plant-{{ plant['plant_id'] }}-last-watered" placeholder="Last Watered"
                                required>
                            </div>
                    </li>
                </ul>
                <div class="card-body" style="text-align:center">
                    <a onclick="update()">
                        <button class="btn btn-success my-2 my-sm-0" type="submit">Update</button>
                    </a>
                    <a onclick="deletePlant({{ plant['plant_id'] }})">
                        <button class="btn btn-danger my-2 my-sm-0" type="submit">Delete</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    <script>
        {#    form for updating the plant    #}
        function update() {
            let plant = {
                plant_id: {{ plant['plant_id'] }},
                species_id: {{ plant['trefle_id'] }},
                human_name: document.getElementById("plant-{{ plant['plant_id'] }}-human-name").value,
                last_watered: document.getElementById("plant-{{ plant['plant_id'] }}-last-watered").value,
                days_between_watering: document.getElementById("plant-{{ plant['plant_id'] }}-water-freq").value,
                species: document.getElementById("plant-{{ plant['plant_id'] }}-type").value,
                location: document.getElementById("plant-{{ plant['plant_id'] }}-location").value
            }
            axios.put('/plants', {
                plant
            })
                .then(function (response) {
                    location.reload();
                })
                .catch(function (error) {
                    alert('Error occurred During update')
                }).finally(function (response) {

            })
        }
        {# form for deleteing the plant #}
        function deletePlant(plant_id) {
            axios.delete(`/plants/${plant_id}`, {
            }).then(function (response) {
                location.reload();
            })
                .catch(function (error) {
                    alert('Error occurred during Delete')
                }).finally(function (response) {

            })
        }
    </script>
{% endblock %}
